Skip to navigation

Get Salt by ID

Beta
Get a single Salt by ID.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

salt_idstringRequired
ID of the Salt.

Headers

EARLY-ACCESSstringOptional

Set to true to access beta operations via /api/v3.

Query parameters

returningstringOptional

Comma-separated list of top-level fields to include in each returned item. Cannot overlap with omit.

omitstringOptional

Comma-separated list of top-level fields to omit from each returned item. Cannot overlap with returning.

Response

OK
__typenamestringOptional
archiveReasonstring or nullOptional
archivedbooleanOptional
calculatedMolecularWeightdouble or nullOptional
The molecular weight of the salt.
canonicalSmilesstringOptional
The SMILES representation of the salt after standardization.
codestring or nullOptional

Optional configurable identifier for this salt (e.g., “HCl”, “MS”). Unique across both salts and solvents within a tenant.

createdAtstringOptional
idstringOptional
modifiedAtstringOptional
molecularFormulastringOptional

The molecular formula (e.g., “HCl”).

molfilestringOptional
The molfile representation of the salt.
namestringOptional

Errors

400
Salt Get Request Bad Request Error
403
Salt Get Request Forbidden Error
404
Salt Get Request Not Found Error
429
Salt Get Request Too Many Requests Error
500
Salt Get Request Internal Server Error